Subject: Re: bug#68446: 29.1.90; Bidi right-to-left paragraphs missing text in Org mode

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Jan 2024 16:58:43 +0200

> From: Ihor Radchenko <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Sun, 14 Jan 2024 14:41:21 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> May you please elaborate? I do not see anything unexpected in the text
> >> properties that Org mode applies to the link and the letter "a".
> >
> > ...
> > If you describe in enough details how the [[link]] thing is handled by
> > Org, maybe I could elaborate more than the general observations and
> > questions above.

Actually, I think I see the reason, and the problem is indeed in the
display code's logic in this case.

> Let's simplify the reproducer, getting rid of Org mode:
> 
> (let ((str (concat "a " (propertize "[" 'invisible t) "b" (propertize "]" 'invisible t))))
>   (with-temp-buffer
>     (display-buffer (current-buffer))
>     (insert str)
>     (read-char "'a b' is visible. Press any key.")
>     (setq bidi-paragraph-direction 'right-to-left)
>     (read-char "'a b' is invisible. Press any key.")))
> 
> Is this the above expected?

No.